<?php
	// requte de demande de calcul d'impt

  // on vrifie d'abord la validit des paramtres
  $sOptMarie=$_POST['optmarie'];
  if($sOptMarie!='oui' && $sOptMarie!='non'){
  	$erreurs[]="L'tat marital [$sOptMarie] est erron";
  }
  $sEnfants=trim($_POST['txtenfants']);
  if(! preg_match('/^\d{1,3}$/',$sEnfants)){
  	$erreurs[]="Le nombre d'enfants [$sEnfants] est erron";
  }
  $sSalaire=trim($_POST['txtsalaire']);
  if(! preg_match('/^\d+$/',$sSalaire)){
  	$erreurs[]="Le salaire annuel [$sSalaire] est erron";
  }
  
  // s'il y a des erreurs, c'est fini
  if(count($erreurs)!=0){
  	// prparation de la page d'erreurs
    $dReponse['erreurs']=&$erreurs;
    $dSession['etat']=array('principal'=>'e-erreurs','secondaire'=>'saisie');
  	return;
  }//if
  
  // les donnes saisies sont correctes
  // on rcupre les donnes ncessaires au calcul de l'impt
  if(! $dSession['limites']){
  	// les donnes ne sont pas dans la session
    // on les rcupre dans la source de donnes
    list($erreurs,$limites,$coeffr,$coeffn)=getData($dConfig['DSN']);
    // s'il y a des erreurs, on affiche la page d'erreurs
    if(count($erreurs)!=0){
    	// prparation de la page d'erreurs
      $dReponse['erreurs']=&$erreurs;
    	$dSession['etat']=array('principal'=>'e-erreurs','secondaire'=>'database');
      return;
    }//if
    // pas d'erreurs - les donnes sont mises dans la session
    $dSession['limites']=&$limites;
    $dSession['coeffr']=&$coeffr;
    $dSession['coeffn']=&$coeffn;
  }//if
  
  // ici on a les donnes ncessaire au calcul de l'impt
  // on calcule celui-ci
  $dData=array('limites'=>&$dSession['limites'],
  	'coeffr'=>&$dSession['coeffr'],
    'coeffn'=>&$dSession['coeffn']);
  $dPerso=array('enfants'=>$sEnfants,'salaire'=>$sSalaire,'mari'=>($sOptMarie=='oui'),'impot'=>0);
  new impots_calcul($dPerso,$dData);
  
	// prparation de la page rponse
  $dSession['etat']=array('principal'=>'e-formulaire','secondaire'=>'calculimpot');
  $dReponse['impot']=$dPerso['impot'];
  return;
           
  //-----------------------------------------------------------------------
  function getData($dDSN){
  	// connexion  la source de donnes dfinie par le dictionnaire $dDSN
		$oImpots=new impots_data($dDSN);
    if(count($oImpots->aErreurs)!=0) return array($oImpots->aErreurs);
    // rcupration des donnes limites, coeffr, coeffn
		list($limites,$coeffr,$coeffn)=$oImpots->getData();
		// on se dconnecte
		$oImpots->disconnect();
    // on rend le rsultat
    if(count($oImpots->aErreurs)!=0) return array($oImpots->aErreurs);
    	else return array(array(),$limites,$coeffr,$coeffn);
  }//getData
  