	<?php
	
  // bibliothque
  require_once "c-impots-data.php";
  require_once "c-impots-calcul.php";  
    
	// test de la classe impots-data
  ini_set('track_errors','on');
  ini_set('display_errors','on');
  
	// configuration base dbimpots
	$dDSN=array(
		"sgbd"=>"mysql",
		"user"=>"seldbimpots",
		"mdp"=>"mdpseldbimpots",
		"host"=>"localhost",
		"database"=>"dbimpots"
	);
  
  // ouverture de la session
  $oImpots=new impots_data($dDSN);
  // erreurs ?
  if(checkErreurs($oImpots)){
    exit(0);
  }
  // suivi
  echo "Connect  la base...\n";  
  // rcupration des donnes limites, coeffr, coeffn
  list($limites,$coeffr,$coeffn)=$oImpots->getData();
  // erreurs ?
  if(checkErreurs($oImpots)){
    exit(0);
  }
  // on se dconnecte
  $oImpots->disconnect();
  // suivi
  echo "Dconnect de la base...\n";  

  // calcul d'un impt
  $dData=array('limites'=>&$limites,'coeffr'=>&$coeffr,'coeffn'=>&$coeffn);
  $dPerso=array('enfants'=>2,'salaire'=>60000,'mari'=>true,'impot'=>0);
  new impots_calcul($dPerso,$dData);
  dump($dPerso);
  $dPerso=array('enfants'=>2,'salaire'=>60000,'mari'=>false,'impot'=>0);
  new impots_calcul($dPerso,$dData);
  dump($dPerso);
  $dPerso=array('enfants'=>3,'salaire'=>60000,'mari'=>false,'impot'=>0);
  new impots_calcul($dPerso,$dData);
  dump($dPerso);
  $dPerso=array('enfants'=>3,'salaire'=>60000,'mari'=>true,'impot'=>0);
  new impots_calcul($dPerso,$dData);
  dump($dPerso);
  
  // fin
  exit(0);
  
  // ----------------------------------
  function checkErreurs(&$oImpots){
  	// des erreurs ?
    if(count($oImpots->aErreurs)!=0){
    	// affichage
      for($i=0;$i<count($oImpots->aErreurs);$i++){
      	echo $oImpots->aErreurs[$i]."\n";
      }//for
      // des erreurs
      return true;
    }//if
    // pas d'erreurs
    return false;
  }//checkErreurs  

  //--------------------------------------------------------------------
  function dump($dInfos){
  	// affiche un dictionnaire d'informations
    while(list($cl,$valeur)=each($dInfos)){
    	echo "[$cl,$valeur] ";
    }//while
    echo "\n";
  }//suivi
      
?>     
