<?php
	
  // bibliothque
  require_once "c-impots-data.php";  
  require_once "DB.php";
    
	// test de la classe impots-data
  ini_set('track_errors','on');
  ini_set('display_errors','on');
  
	// configuration base dbimpots
	$dDSN=array(
		"sgbd"=>"mysql",
		"user"=>"seldbimpots",
		"mdp"=>"mdpseldbimpots",
		"host"=>"localhost",
		"database"=>"dbimpots"
	);
  
  // ouverture de la session
  $oImpots=new impots_data($dDSN);
  // erreurs ?
  if(checkErreurs($oImpots)){
    exit(0);
  }
  // suivi
  echo "Connect  la base...\n";
  
  // rcupration des donnes limites, coeffr, coeffn
  list($limites,$coeffr,$coeffn)=$oImpots->getData();
  // erreurs ?
  if( ! checkErreurs($oImpots)){
    // contenu
    echo "donnes : \n";
    for($i=0;$i<count($limites);$i++){
      echo "[$limites[$i],$coeffr[$i],$coeffn[$i]]\n";
    }//for
  }//if

  // on se dconnecte
  $oImpots->disconnect();
  // suivi
  echo "Dconnect de la base...\n";  
  // fin
  exit(0);
  
  // ----------------------------------
  function checkErreurs(&$oImpots){
  	// des erreurs ?
    if(count($oImpots->aErreurs)!=0){
    	// affichage
      for($i=0;$i<count($oImpots->aErreurs);$i++){
      	echo $oImpots->aErreurs[$i]."\n";
      }//for
      // des erreurs
      return true;
    }//if
    // pas d'erreurs
    return false;
  }//checkErreurs  

?>     
