<?php

  class impots_calcul{  
    // classe de calcul de l'impt

    // constructeur
    function impots_calcul(&$perso,&$data){
      // $perso : dictionnaire avec les cls suivantes
      // enfants(e) : nbre d'enfants
      // salaire(e) : salaire annuel
      // mari(e) : boolen indiquant si le contribuable est mari ou non
      // impot(s) : impt  payer calcul par ce constructeur
      // $data : dictionnaire avec les cls suivantes
      // limites : tableau des limites de tranches
      // coeffr : tableau des coefficients du revenu
      // coeffn tablaeu des coefficients du nombre de parts
      // les 3 tableaux ont le mme nbre d'lments
      
      // calcul du nombre de parts
      if($perso['mari'])
        $nbParts=$perso['enfants']/2+2;
        else $nbParts=$perso['enfants']/2+1;
      if ($perso['enfants']>=3) $nbParts+=0.5;

      // revenu imposable
      $revenu=0.72*$perso['salaire'];

      // quotient familial
      $QF=$revenu/$nbParts;

      // recherche de la tranche d'impots correspondant  QF
      $nbTranches=count($data['limites']);
      $i=0;
      while($i<$nbTranches-2 && $QF>$data['limites'][$i]) $i++;

      // l'impt
      $perso['impot']=floor($data['coeffr'][$i]*$revenu-$data['coeffn'][$i]*$nbParts);
    }//constructeur
  }//classe
?>