<?php
	// contrleur gnrique
  
  // lecture config
  include 'config.php';

  // inclusion de bibliothques
  for($i=0;$i<count($dConfig['includes']);$i++){
  	include($dConfig['includes'][$i]);
  }//for  
 
  // on dmarre ou reprend la session
  session_start();
  $dSession=$_SESSION["session"];
  if($dSession) $dSession=unserialize($dSession);
  
  // on rcupre l'action  entreprendre
  $sAction=$_GET['action'] ? strtolower($_GET['action']) : 'init';
  $sAction=strtolower($_SERVER['REQUEST_METHOD']).":$sAction";
  
	// l'enchanement des actions est-il normal ?
  if( ! enchainementOK($dConfig,$dSession,$sAction)){  
    // enchanement anormal
    $sAction='enchainementinvalide';
  }//if

	// traitement de l'action
  $scriptAction=$dConfig['actions'][$sAction] ? 
    $dConfig['actions'][$sAction]['url'] : 
    $dConfig['actions']['actionInvalide']['url'];
  include $scriptAction;
  
  // envoi de la rponse(vue) au client
  $sEtat=$dSession['etat']['principal'];
  $scriptVue=$dConfig['etats'][$sEtat]['vue'];
  include $scriptVue;
  
  // fin du script - on ne devrait pas arriver l sauf bogue
  trace ("Erreur de configuration.");
  trace("Action=[$sAction]");
  trace("scriptAction=[$scriptAction]");
  trace("Etat=[$sEtat]");
  trace("scriptVue=[$scriptVue]");
  trace ("Vrifiez que les script existent et que le script [$scriptVue] se termine par l'appel  finSession.");
  exit(0);

  // ---------------------------------------------------------------
  function finSession(&$dConfig,&$dReponse,&$dSession){
    // $dConfig : dictionnaire de configuration
  	// $dSession : dictionnaire contenant les infos de session
		// $dReponse : le dictionnaire des arguments de la page de rponse
    
    // enregistrement de la session
    if(isset($dSession)){
      // on met les paramtres de la requte dans la session
      $dSession['requete']=strtolower($_SERVER['REQUEST_METHOD'])=='get' ? $_GET :
  	    strtolower($_SERVER['REQUEST_METHOD'])=='post' ? $_POST : array();
    	$_SESSION['session']=serialize($dSession);
      session_write_close();
    }else{    
    	// pas de session
      session_destroy();
    }

		// on prsente la rponse
		include $dConfig['vuesReponse'][$dReponse['vuereponse']]['url'];
    
    // fin du script
    exit(0);
  }//finsession      
  
  //--------------------------------------------------------------------
	function enchainementOK(&$dConfig,&$dSession,$sAction){
  	// vrifie si l'action courante est autorise vis  vis de l'tat prcdent
    $etat=$dSession['etat']['principal'];
    if(! isset($etat)) $etat='sansetat';

    // vrification action
    $actionsautorisees=$dConfig['etats'][$etat]['actionsautorisees'];
    $autorise= ! isset($actionsautorisees) || in_array($sAction,$actionsautorisees);
		return $autorise;    
  }
  
  //--------------------------------------------------------------------
  function dump($dInfos){
  	// affiche un dictionnaire d'informations
    while(list($cl,$valeur)=each($dInfos)){
    	echo "[$cl,$valeur]<br>\n";
    }//while
  }//suivi

  //--------------------------------------------------------------------
  function trace($msg){
  	echo $msg."<br>\n";
  }//suivi
  
?>
